kysdk.NetCard(3)

NAME
kysdk.NetCard - Network card information class used to get network card list, check if a specified network card is in UP state, get the list of network cards currently in link up state, get the physical MAC address of a specified network card, get the first IPv4 address of a specified network card, get all IPv4 addresses of a specified network card, get the first IPv6 address of a specified network card, get all IPv6 addresses of a specified network card, get the wired/wireless type of a specified network card, and get the vendor name and device model of a specified network card

SYNOPSIS

Inherits kysdk.Base.

  Public Member Functions

def __init__ (self)
def getNetCardName (self)
Get all network cards in the system
def getNetCardUp (self, netcard_name)
Check if the specified network card is in UP state
def getNetCardUpcards (self)
Get the list of network cards currently in link up state
def getNetCardPhymac (self, netcard_name)
Get the physical MAC address of the specified network card
def getNetCardPrivateIPv4 (self, netcard_name)
Get the first IPv4 address of the specified network card
def getNetCardIPv4 (self, netcard_name)
Get all IPv4 addresses of the specified network card
def getNetCardPrivateIPv6 (self, netcard_name)
Get the first IPv6 address of the specified network card
def getNetCardType (self, netcard_name)
Get the wired/wireless type of the specified network card
def getNetCardProduct (self, netcard_name)
Get the vendor name and device model of the specified network card
def getNetCardIPv6 (self, netcard_name)
Get all IPv6 addresses of the specified network card

  Additional Inherited Members

Detailed Description

Network card information class used to get network card list, check if a specified network card is in UP state, get the list of network cards currently in link up state, get the physical MAC address of a specified network card, get the first IPv4 address of a specified network card, get all IPv4 addresses of a specified network card, get the first IPv6 address of a specified network card, get all IPv6 addresses of a specified network card, get the wired/wireless type of a specified network card, and get the vendor name and device model of a specified network card

Member Function Documentation

  def kysdk.NetCard.getNetCardIPv4 ( self, netcard_name)

Get all IPv4 addresses of the specified network card

Parameters
    netcard_name Network card name, such as eno1

Returns
    List of IPv4 addresses

References kysdk.SessionBase.interface, and kysdk.Base.interface.

  def kysdk.NetCard.getNetCardIPv6 ( self, netcard_name)

Get all IPv6 addresses of the specified network card

Parameters
    netcard_name Network card name, such as eno1

Returns
    List of IPv6 addresses

References kysdk.SessionBase.interface, and kysdk.Base.interface.

  def kysdk.NetCard.getNetCardName ( self)

Get all network cards in the system

Returns
    List of network card names

References kysdk.SessionBase.interface, and kysdk.Base.interface.

  def kysdk.NetCard.getNetCardPhymac ( self, netcard_name)

Get the physical MAC address of the specified network card

Parameters
    netcard_name Network card name, such as eno1

Returns
    Physical MAC address

References kysdk.SessionBase.interface, and kysdk.Base.interface.

  def kysdk.NetCard.getNetCardPrivateIPv4 ( self, netcard_name)

Get the first IPv4 address of the specified network card

Parameters
    netcard_name Network card name, such as eno1

Returns
    IPv4 address

References kysdk.SessionBase.interface, and kysdk.Base.interface.

  def kysdk.NetCard.getNetCardPrivateIPv6 ( self, netcard_name)

Get the first IPv6 address of the specified network card

Parameters
    netcard_name Network card name, such as eno1

Returns
    IPv6 address

References kysdk.SessionBase.interface, and kysdk.Base.interface.

  def kysdk.NetCard.getNetCardProduct ( self, netcard_name)

Get the vendor name and device model of the specified network card

Parameters
    netcard_name Network card name, such as eno1

Returns
    Vendor name and device model of the network card

References kysdk.SessionBase.interface, and kysdk.Base.interface.

  def kysdk.NetCard.getNetCardType ( self, netcard_name)

Get the wired/wireless type of the specified network card

Parameters
    netcard_name Network card name, such as eno1

Returns
    0 for wired, 1 for wireless

References kysdk.SessionBase.interface, and kysdk.Base.interface.

  def kysdk.NetCard.getNetCardUp ( self, netcard_name)

Check if the specified network card is in UP state

Parameters
    netcard_name Network card name, such as eno1

Returns
    1 if Up, 0 if Down

References kysdk.SessionBase.interface, and kysdk.Base.interface.

  def kysdk.NetCard.getNetCardUpcards ( self)

Get the list of network cards currently in link up state

Returns
    List of network cards in link up state

References kysdk.SessionBase.interface, and kysdk.Base.interface.

Author

Generated automatically by Doxygen for kysdk.py from the source code.